Bug 1310199 - [RFE] Enable Capsule to automatically sync after a publish/promotion [NEEDINFO]
[RFE] Enable Capsule to automatically sync after a publish/promotion
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Capsule - Content (Show other bugs)
6.1.6
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-19 12:48 EST by Michael J. Ayers
Modified: 2016-12-19 10:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-19 10:08:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jsherril: needinfo? (ayersmj)


Attachments (Terms of Use)

  None (edit)
Description Michael J. Ayers 2016-02-19 12:48:19 EST
Description of problem:
Give Satellite ability to have capsule syncs happen automatically after a promotion of a content view or other modification.  Currently it appears that "hammer capsule content synchronize" must be run after every content view promotion leaving room for user error.

Version-Release number of selected component (if applicable): All


Actual results:
"hammer capsule content synchronize" must be run after every content view promotion leaving room for user error.

Expected results:
Capsule automatically synchronizes after promotion.

Additional info:
Comment 1 Bryan Kearney 2016-07-26 15:04:17 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 2 Justin Sherrill 2016-09-13 15:23:35 EDT
This actually happens already all the way back to Satellite 6.0.  

Whenever you publish/promote a content view into a lifecycle environment associated to the capsule, any capsule associated to that lifecycle environment will be synced.

Do you have reason to believe this isn't working?
Comment 3 Brad Buckingham 2016-12-19 10:08:08 EST
Based on comment 2, closing this bugzilla; however, please re-open with additional details the expected behavior is not being observed.

Note You need to log in before you can comment on or make changes to this bug.